/[ascend]/trunk/base/unixAC213/config.status
ViewVC logotype

Contents of /trunk/base/unixAC213/config.status

Parent Directory Parent Directory | Revision Log Revision Log


Revision 36 - (show annotations) (download)
Wed Dec 29 18:59:31 2004 UTC (17 years, 5 months ago) by aw0a
File size: 26530 byte(s)
added missing unixAC213/config.status file
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46 do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100 fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
157 ;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS=" $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" ConfigAscend:../../base/generic/ConfigAscend.in Makefile:../../base/generic/Makefile.in bin/ascend4.sh:../../base/generic/bin/ascend4.sh.in Makefile.Rules:../../base/generic/Makefile.Rules.in archive/Makefile:../../base/generic/archive/Makefile.in bin/Makefile:../../base/generic/bin/Makefile.in compiler/Makefile:../../base/generic/compiler/Makefile.in general/Makefile:../../base/generic/general/Makefile.in interface/Makefile:../../tcltk98/generic/interface/Makefile.in lib/Makefile:../../base/generic/lib/Makefile.in packages/Makefile:../../base/generic/packages/Makefile.in solver/Makefile:../../base/generic/solver/Makefile.in utilities/Makefile:../../base/generic/utilities/Makefile.in ../../tcltk98/TK/Makefile ../../tcltk98/TK/Makefile.Rules:../../tcltk98/TK/Makefile.Rules.in ../../tcltk98/TK/bitmaps/Makefile ../../tcltk98/TK/templates/Makefile ../../blas/Makefile ../../linpack/Makefile ../../lsod/Makefile"
275
276 ac_cs_usage="\
277 \`$as_me' instantiates files from templates according to the
278 current configuration.
279
280 Usage: $0 [OPTIONS] [FILE]...
281
282 -h, --help print this help, then exit
283 -V, --version print version number, then exit
284 -q, --quiet do not print progress messages
285 -d, --debug don't remove temporary files
286 --recheck update $as_me by reconfiguring in the same conditions
287 --file=FILE[:TEMPLATE]
288 instantiate the configuration file FILE
289
290 Configuration files:
291 $config_files
292
293 Report bugs to <bug-autoconf@gnu.org>."
294 ac_cs_version="\
295 config.status
296 configured by ./configure, generated by GNU Autoconf 2.59,
297 with options \"'--with-fortran=g77' '--with-tcl=/home/aw0a/tk/lib/libtcl8.3.so,/home/aw0a/tk/include/tcl.h' '--with-tk=/home/aw0a/tk/lib/libtk8.3.so,/home/aw0a/tk/include/tk.h' '--with-wish=/home/aw0a/tk/bin/wish' '--with-tktable=/home/aw0a/tk/lib/Tktable2.8/libTktable2.8.so'\"
298
299 Copyright (C) 2003 Free Software Foundation, Inc.
300 This config.status script is free software; the Free Software Foundation
301 gives unlimited permission to copy, distribute and modify it."
302 srcdir=.
303 INSTALL="/usr/bin/install -c"
304 # If no file are specified by the user, then we need to provide default
305 # value. By we need to know if files were specified by the user.
306 ac_need_defaults=:
307 while test $# != 0
308 do
309 case $1 in
310 --*=*)
311 ac_option=`expr "x$1" : 'x\([^=]*\)='`
312 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
313 ac_shift=:
314 ;;
315 -*)
316 ac_option=$1
317 ac_optarg=$2
318 ac_shift=shift
319 ;;
320 *) # This is not an option, so the user has probably given explicit
321 # arguments.
322 ac_option=$1
323 ac_need_defaults=false;;
324 esac
325
326 case $ac_option in
327 # Handling of the options.
328 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
329 ac_cs_recheck=: ;;
330 --version | --vers* | -V )
331 echo "$ac_cs_version"; exit 0 ;;
332 --he | --h)
333 # Conflict between --help and --header
334 { { echo "$as_me:$LINENO: error: ambiguous option: $1
335 Try \`$0 --help' for more information." >&5
336 echo "$as_me: error: ambiguous option: $1
337 Try \`$0 --help' for more information." >&2;}
338 { (exit 1); exit 1; }; };;
339 --help | --hel | -h )
340 echo "$ac_cs_usage"; exit 0 ;;
341 --debug | --d* | -d )
342 debug=: ;;
343 --file | --fil | --fi | --f )
344 $ac_shift
345 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
346 ac_need_defaults=false;;
347 --header | --heade | --head | --hea )
348 $ac_shift
349 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
350 ac_need_defaults=false;;
351 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
352 | -silent | --silent | --silen | --sile | --sil | --si | --s)
353 ac_cs_silent=: ;;
354
355 # This is an error.
356 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
357 Try \`$0 --help' for more information." >&5
358 echo "$as_me: error: unrecognized option: $1
359 Try \`$0 --help' for more information." >&2;}
360 { (exit 1); exit 1; }; } ;;
361
362 *) ac_config_targets="$ac_config_targets $1" ;;
363
364 esac
365 shift
366 done
367
368 ac_configure_extra_args=
369
370 if $ac_cs_silent; then
371 exec 6>/dev/null
372 ac_configure_extra_args="$ac_configure_extra_args --silent"
373 fi
374
375 if $ac_cs_recheck; then
376 echo "running /bin/sh ./configure " '--with-fortran=g77' '--with-tcl=/home/aw0a/tk/lib/libtcl8.3.so,/home/aw0a/tk/include/tcl.h' '--with-tk=/home/aw0a/tk/lib/libtk8.3.so,/home/aw0a/tk/include/tk.h' '--with-wish=/home/aw0a/tk/bin/wish' '--with-tktable=/home/aw0a/tk/lib/Tktable2.8/libTktable2.8.so' $ac_configure_extra_args " --no-create --no-recursion" >&6
377 exec /bin/sh ./configure '--with-fortran=g77' '--with-tcl=/home/aw0a/tk/lib/libtcl8.3.so,/home/aw0a/tk/include/tcl.h' '--with-tk=/home/aw0a/tk/lib/libtk8.3.so,/home/aw0a/tk/include/tk.h' '--with-wish=/home/aw0a/tk/bin/wish' '--with-tktable=/home/aw0a/tk/lib/Tktable2.8/libTktable2.8.so' $ac_configure_extra_args --no-create --no-recursion
378 fi
379
380 for ac_config_target in $ac_config_targets
381 do
382 case "$ac_config_target" in
383 # Handling of arguments.
384 "ConfigAscend" ) CONFIG_FILES="$CONFIG_FILES ConfigAscend:../../base/generic/ConfigAscend.in" ;;
385 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile:../../base/generic/Makefile.in" ;;
386 "bin/ascend4.sh" ) CONFIG_FILES="$CONFIG_FILES bin/ascend4.sh:../../base/generic/bin/ascend4.sh.in" ;;
387 "Makefile.Rules" ) CONFIG_FILES="$CONFIG_FILES Makefile.Rules:../../base/generic/Makefile.Rules.in" ;;
388 "archive/Makefile" ) CONFIG_FILES="$CONFIG_FILES archive/Makefile:../../base/generic/archive/Makefile.in" ;;
389 "bin/Makefile" ) CONFIG_FILES="$CONFIG_FILES bin/Makefile:../../base/generic/bin/Makefile.in" ;;
390 "compiler/Makefile" ) CONFIG_FILES="$CONFIG_FILES compiler/Makefile:../../base/generic/compiler/Makefile.in" ;;
391 "general/Makefile" ) CONFIG_FILES="$CONFIG_FILES general/Makefile:../../base/generic/general/Makefile.in" ;;
392 "interface/Makefile" ) CONFIG_FILES="$CONFIG_FILES interface/Makefile:../../tcltk98/generic/interface/Makefile.in" ;;
393 "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile:../../base/generic/lib/Makefile.in" ;;
394 "packages/Makefile" ) CONFIG_FILES="$CONFIG_FILES packages/Makefile:../../base/generic/packages/Makefile.in" ;;
395 "solver/Makefile" ) CONFIG_FILES="$CONFIG_FILES solver/Makefile:../../base/generic/solver/Makefile.in" ;;
396 "utilities/Makefile" ) CONFIG_FILES="$CONFIG_FILES utilities/Makefile:../../base/generic/utilities/Makefile.in" ;;
397 "$tkdir_makefiles" ) CONFIG_FILES="$CONFIG_FILES $tkdir_makefiles" ;;
398 "$models_makefiles" ) CONFIG_FILES="$CONFIG_FILES $models_makefiles" ;;
399 "$help_makefiles" ) CONFIG_FILES="$CONFIG_FILES $help_makefiles" ;;
400 "$blaslib_makefile" ) CONFIG_FILES="$CONFIG_FILES $blaslib_makefile" ;;
401 "$lpaklib_makefile" ) CONFIG_FILES="$CONFIG_FILES $lpaklib_makefile" ;;
402 "$lsodlib_makefile" ) CONFIG_FILES="$CONFIG_FILES $lsodlib_makefile" ;;
403 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
404 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
405 { (exit 1); exit 1; }; };;
406 esac
407 done
408
409 # If the user did not use the arguments to specify the items to instantiate,
410 # then the envvar interface is used. Set only those that are not.
411 # We use the long form for the default assignment because of an extremely
412 # bizarre bug on SunOS 4.1.3.
413 if $ac_need_defaults; then
414 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
415 fi
416
417 # Have a temporary directory for convenience. Make it in the build tree
418 # simply because there is no reason to put it here, and in addition,
419 # creating and moving files from /tmp can sometimes cause problems.
420 # Create a temporary directory, and hook for its removal unless debugging.
421 $debug ||
422 {
423 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
424 trap '{ (exit 1); exit 1; }' 1 2 13 15
425 }
426
427 # Create a (secure) tmp directory for tmp files.
428
429 {
430 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
431 test -n "$tmp" && test -d "$tmp"
432 } ||
433 {
434 tmp=./confstat$$-$RANDOM
435 (umask 077 && mkdir $tmp)
436 } ||
437 {
438 echo "$me: cannot create a temporary directory in ." >&2
439 { (exit 1); exit 1; }
440 }
441
442
443 #
444 # CONFIG_FILES section.
445 #
446
447 # No need to generate the scripts if there are no CONFIG_FILES.
448 # This happens for instance when ./config.status config.h
449 if test -n "$CONFIG_FILES"; then
450 # Protect against being on the right side of a sed subst in config.status.
451 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
452 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
453 s,@SHELL@,/bin/sh,;t t
454 s,@PATH_SEPARATOR@,:,;t t
455 s,@PACKAGE_NAME@,,;t t
456 s,@PACKAGE_TARNAME@,,;t t
457 s,@PACKAGE_VERSION@,,;t t
458 s,@PACKAGE_STRING@,,;t t
459 s,@PACKAGE_BUGREPORT@,,;t t
460 s,@exec_prefix@,/usr/local,;t t
461 s,@prefix@,/usr/local,;t t
462 s,@program_transform_name@,s,x,x,,;t t
463 s,@bindir@,${exec_prefix}/bin,;t t
464 s,@sbindir@,${exec_prefix}/sbin,;t t
465 s,@libexecdir@,${exec_prefix}/libexec,;t t
466 s,@datadir@,${prefix}/share,;t t
467 s,@sysconfdir@,${prefix}/etc,;t t
468 s,@sharedstatedir@,${prefix}/com,;t t
469 s,@localstatedir@,${prefix}/var,;t t
470 s,@libdir@,${exec_prefix}/lib,;t t
471 s,@includedir@,${prefix}/include,;t t
472 s,@oldincludedir@,/usr/include,;t t
473 s,@infodir@,${prefix}/info,;t t
474 s,@mandir@,${prefix}/man,;t t
475 s,@build_alias@,,;t t
476 s,@host_alias@,,;t t
477 s,@target_alias@,,;t t
478 s,@DEFS@,-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DSIZEOF_VOID_P=4 -DHAVE_LIBM=1 -DHAVE_ERF=1 ,;t t
479 s,@ECHO_C@,,;t t
480 s,@ECHO_N@,-n,;t t
481 s,@ECHO_T@,,;t t
482 s,@LIBS@,-lm ,;t t
483 s,@RANLIB@,ranlib,;t t
484 s,@ac_ct_RANLIB@,ranlib,;t t
485 s,@LN_S@,ln -s,;t t
486 s,@SET_MAKE@,,;t t
487 s,@INSTALL_PROGRAM@,${INSTALL},;t t
488 s,@INSTALL_SCRIPT@,${INSTALL},;t t
489 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
490 s,@build@,i686-pc-linux-gnu,;t t
491 s,@build_cpu@,i686,;t t
492 s,@build_vendor@,pc,;t t
493 s,@build_os@,linux-gnu,;t t
494 s,@host@,i686-pc-linux-gnu,;t t
495 s,@host_cpu@,i686,;t t
496 s,@host_vendor@,pc,;t t
497 s,@host_os@,linux-gnu,;t t
498 s,@CC@,cc,;t t
499 s,@CFLAGS@,-g -O2,;t t
500 s,@LDFLAGS@,,;t t
501 s,@CPPFLAGS@,,;t t
502 s,@ac_ct_CC@,cc,;t t
503 s,@EXEEXT@,,;t t
504 s,@OBJEXT@,o,;t t
505 s,@asc_cc1@,,;t t
506 s,@asc_cc2@,,;t t
507 s,@asc_cc3@,,;t t
508 s,@CPP@,cc -E,;t t
509 s,@DEBUG_LIBS@,,;t t
510 s,@EGREP@,grep -E,;t t
511 s,@YACC@,yacc,;t t
512 s,@LEX@,flex,;t t
513 s,@LEXLIB@,,;t t
514 s,@LEX_OUTPUT_ROOT@,,;t t
515 s,@TCL_LIB@,/home/aw0a/tk/lib/libtcl8.3.so,;t t
516 s,@TCL_HDR@,-I/home/aw0a/tk/include/,;t t
517 s,@TK_LIB@,/home/aw0a/tk/lib/libtk8.3.so,;t t
518 s,@TK_HDR@,,;t t
519 s,@TKTABLE_LIB@,/home/aw0a/tk/lib/Tktable2.8/libTktable2.8.so,;t t
520 s,@F77@,g77,;t t
521 s,@BLASLIB@,/home/aw0a/links/trunk/base/unixAC213/../generic/archive/libascblas.a,;t t
522 s,@LPAKLIB@,/home/aw0a/links/trunk/base/unixAC213/../generic/archive/libasclpak.a,;t t
523 s,@LSODLIB@,/home/aw0a/links/trunk/base/unixAC213/../generic/archive/libinteg.a,;t t
524 s,@ascpwd@,/home/aw0a/links/trunk/base/unixAC213,;t t
525 s,@fullpathsrcdir@,/home/aw0a/links/trunk/base/unixAC213,;t t
526 s,@asc_include@,../.,;t t
527 s,@scanner_src@,scanner.c.from.flex,;t t
528 s,@typer_src@,typelex.c.from.flex,;t t
529 s,@MATH_LIBS@,-lieee -lm,;t t
530 s,@X11_INCLUDES@,-I/usr/X11R6/include,;t t
531 s,@X11_LIBRARIES@,-L/usr/X11R6/lib,;t t
532 s,@X11_RUN_PATH@,,;t t
533 s,@X11_EXTRA_LIBS@,,;t t
534 s,@DL_LIBS@,-ldl,;t t
535 s,@LD_FLAGS@,-rdynamic,;t t
536 s,@LD_SEARCH_FLAGS@,,;t t
537 s,@SHLIB_CFLAGS@,-fPIC,;t t
538 s,@SHLIB_LD@,cc -shared,;t t
539 s,@SHLIB_LD_LIBS@,,;t t
540 s,@SHLIB_SUFFIX@,.so,;t t
541 s,@ASC_LIB_SUFFIX@,,;t t
542 s,@ASC_TK_LIBRARY@,,;t t
543 s,@ASC_TCL_LIBRARY@,,;t t
544 s,@HAVE_TKTABLE@,-DSTATIC_TKTABLE,;t t
545 s,@asc_subdirs@, ../../blas ../../linpack ../../lsod,;t t
546 s,@F77LIBS@, -lg2c,;t t
547 s,@make_blaslib@,make-blaslib,;t t
548 s,@make_lpaklib@,make-lpaklib,;t t
549 s,@make_lsodlib@,make-lsodlib,;t t
550 s,@HAVE_LSOD@,-DSTATIC_LSOD,;t t
551 s,@tkdir_root@,../../tcltk98/TK,;t t
552 s,@tkdir_topbuilddir@,../../../..,;t t
553 s,@models_dir_root@,,;t t
554 s,@models_topbuilddir@,,;t t
555 s,@help_dir_root@,,;t t
556 s,@help_topbuilddir@,,;t t
557 s,@LIBOBJS@,,;t t
558 s,@LTLIBOBJS@,,;t t
559 CEOF
560
561 # Split the substitutions into bite-sized pieces for seds with
562 # small command number limits, like on Digital OSF/1 and HP-UX.
563 ac_max_sed_lines=48
564 ac_sed_frag=1 # Number of current file.
565 ac_beg=1 # First line for current file.
566 ac_end=$ac_max_sed_lines # Line after last line for current file.
567 ac_more_lines=:
568 ac_sed_cmds=
569 while $ac_more_lines; do
570 if test $ac_beg -gt 1; then
571 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
572 else
573 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
574 fi
575 if test ! -s $tmp/subs.frag; then
576 ac_more_lines=false
577 else
578 # The purpose of the label and of the branching condition is to
579 # speed up the sed processing (if there are no `@' at all, there
580 # is no need to browse any of the substitutions).
581 # These are the two extra sed commands mentioned above.
582 (echo ':t
583 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
584 if test -z "$ac_sed_cmds"; then
585 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
586 else
587 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
588 fi
589 ac_sed_frag=`expr $ac_sed_frag + 1`
590 ac_beg=$ac_end
591 ac_end=`expr $ac_end + $ac_max_sed_lines`
592 fi
593 done
594 if test -z "$ac_sed_cmds"; then
595 ac_sed_cmds=cat
596 fi
597 fi # test -n "$CONFIG_FILES"
598
599 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
600 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
601 case $ac_file in
602 - | *:- | *:-:* ) # input from stdin
603 cat >$tmp/stdin
604 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
605 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
606 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
607 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
608 * ) ac_file_in=$ac_file.in ;;
609 esac
610
611 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
612 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
613 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
614 X"$ac_file" : 'X\(//\)[^/]' \| \
615 X"$ac_file" : 'X\(//\)$' \| \
616 X"$ac_file" : 'X\(/\)' \| \
617 . : '\(.\)' 2>/dev/null ||
618 echo X"$ac_file" |
619 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
620 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
621 /^X\(\/\/\)$/{ s//\1/; q; }
622 /^X\(\/\).*/{ s//\1/; q; }
623 s/.*/./; q'`
624 { if $as_mkdir_p; then
625 mkdir -p "$ac_dir"
626 else
627 as_dir="$ac_dir"
628 as_dirs=
629 while test ! -d "$as_dir"; do
630 as_dirs="$as_dir $as_dirs"
631 as_dir=`(dirname "$as_dir") 2>/dev/null ||
632 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
633 X"$as_dir" : 'X\(//\)[^/]' \| \
634 X"$as_dir" : 'X\(//\)$' \| \
635 X"$as_dir" : 'X\(/\)' \| \
636 . : '\(.\)' 2>/dev/null ||
637 echo X"$as_dir" |
638 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
639 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
640 /^X\(\/\/\)$/{ s//\1/; q; }
641 /^X\(\/\).*/{ s//\1/; q; }
642 s/.*/./; q'`
643 done
644 test ! -n "$as_dirs" || mkdir $as_dirs
645 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
646 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
647 { (exit 1); exit 1; }; }; }
648
649 ac_builddir=.
650
651 if test "$ac_dir" != .; then
652 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
653 # A "../" for each directory in $ac_dir_suffix.
654 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
655 else
656 ac_dir_suffix= ac_top_builddir=
657 fi
658
659 case $srcdir in
660 .) # No --srcdir option. We are building in place.
661 ac_srcdir=.
662 if test -z "$ac_top_builddir"; then
663 ac_top_srcdir=.
664 else
665 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
666 fi ;;
667 [\\/]* | ?:[\\/]* ) # Absolute path.
668 ac_srcdir=$srcdir$ac_dir_suffix;
669 ac_top_srcdir=$srcdir ;;
670 *) # Relative path.
671 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
672 ac_top_srcdir=$ac_top_builddir$srcdir ;;
673 esac
674
675 # Do not use `cd foo && pwd` to compute absolute paths, because
676 # the directories may not exist.
677 case `pwd` in
678 .) ac_abs_builddir="$ac_dir";;
679 *)
680 case "$ac_dir" in
681 .) ac_abs_builddir=`pwd`;;
682 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
683 *) ac_abs_builddir=`pwd`/"$ac_dir";;
684 esac;;
685 esac
686 case $ac_abs_builddir in
687 .) ac_abs_top_builddir=${ac_top_builddir}.;;
688 *)
689 case ${ac_top_builddir}. in
690 .) ac_abs_top_builddir=$ac_abs_builddir;;
691 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
692 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
693 esac;;
694 esac
695 case $ac_abs_builddir in
696 .) ac_abs_srcdir=$ac_srcdir;;
697 *)
698 case $ac_srcdir in
699 .) ac_abs_srcdir=$ac_abs_builddir;;
700 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
701 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
702 esac;;
703 esac
704 case $ac_abs_builddir in
705 .) ac_abs_top_srcdir=$ac_top_srcdir;;
706 *)
707 case $ac_top_srcdir in
708 .) ac_abs_top_srcdir=$ac_abs_builddir;;
709 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
710 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
711 esac;;
712 esac
713
714
715 case $INSTALL in
716 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
717 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
718 esac
719
720 if test x"$ac_file" != x-; then
721 { echo "$as_me:$LINENO: creating $ac_file" >&5
722 echo "$as_me: creating $ac_file" >&6;}
723 rm -f "$ac_file"
724 fi
725 # Let's still pretend it is `configure' which instantiates (i.e., don't
726 # use $as_me), people would be surprised to read:
727 # /* config.h. Generated by config.status. */
728 if test x"$ac_file" = x-; then
729 configure_input=
730 else
731 configure_input="$ac_file. "
732 fi
733 configure_input=$configure_input"Generated from `echo $ac_file_in |
734 sed 's,.*/,,'` by configure."
735
736 # First look for the input files in the build tree, otherwise in the
737 # src tree.
738 ac_file_inputs=`IFS=:
739 for f in $ac_file_in; do
740 case $f in
741 -) echo $tmp/stdin ;;
742 [\\/$]*)
743 # Absolute (can't be DOS-style, as IFS=:)
744 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
745 echo "$as_me: error: cannot find input file: $f" >&2;}
746 { (exit 1); exit 1; }; }
747 echo "$f";;
748 *) # Relative
749 if test -f "$f"; then
750 # Build tree
751 echo "$f"
752 elif test -f "$srcdir/$f"; then
753 # Source tree
754 echo "$srcdir/$f"
755 else
756 # /dev/null tree
757 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
758 echo "$as_me: error: cannot find input file: $f" >&2;}
759 { (exit 1); exit 1; }; }
760 fi;;
761 esac
762 done` || { (exit 1); exit 1; }
763 sed "/^[ ]*VPATH[ ]*=/{
764 s/:*\$(srcdir):*/:/;
765 s/:*\${srcdir}:*/:/;
766 s/:*@srcdir@:*/:/;
767 s/^\([^=]*=[ ]*\):*/\1/;
768 s/:*$//;
769 s/^[^=]*=[ ]*$//;
770 }
771
772 :t
773 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
774 s,@configure_input@,$configure_input,;t t
775 s,@srcdir@,$ac_srcdir,;t t
776 s,@abs_srcdir@,$ac_abs_srcdir,;t t
777 s,@top_srcdir@,$ac_top_srcdir,;t t
778 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
779 s,@builddir@,$ac_builddir,;t t
780 s,@abs_builddir@,$ac_abs_builddir,;t t
781 s,@top_builddir@,$ac_top_builddir,;t t
782 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
783 s,@INSTALL@,$ac_INSTALL,;t t
784 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
785 rm -f $tmp/stdin
786 if test x"$ac_file" != x-; then
787 mv $tmp/out $ac_file
788 else
789 cat $tmp/out
790 rm -f $tmp/out
791 fi
792
793 done
794
795 { (exit 0); exit 0; }

Properties

Name Value
svn:executable *

john.pye@anu.edu.au
ViewVC Help
Powered by ViewVC 1.1.22